POST api/v1/update_admin_profile

Request Information

URI Parameters

None.

Body Parameters

AdminUser
NameDescriptionTypeAdditional information
user_id

integer

None.

role_id

integer

None.

first_name

string

None.

last_name

string

None.

email

string

None.

password

string

None.

created_on

date

None.

is_active

boolean

None.

is_logical_deleted

boolean

None.

login_count

integer

None.

last_login_date

date

None.

company_name

string

None.

contact_no

string

None.

company_type

integer

None.

address

string

None.

state

integer

None.

country

integer

None.

postal_code

string

None.

otp

string

None.

otpexpiry

date

None.

token

globally unique identifier

None.

tokenexpiry

date

None.

modified_by

integer

None.

modified_on

date

None.

created_by

integer

None.

password_reset

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "user_id": 1,
  "role_id": 2,
  "first_name": "sample string 3",
  "last_name": "sample string 4",
  "email": "sample string 5",
  "password": "sample string 6",
  "created_on": "2026-03-23T01:46:59.8501996+00:00",
  "is_active": true,
  "is_logical_deleted": true,
  "login_count": 1,
  "last_login_date": "2026-03-23T01:46:59.8501996+00:00",
  "company_name": "sample string 7",
  "contact_no": "sample string 8",
  "company_type": 1,
  "address": "sample string 9",
  "state": 1,
  "country": 1,
  "postal_code": "sample string 10",
  "otp": "sample string 11",
  "otpexpiry": "2026-03-23T01:46:59.8501996+00:00",
  "token": "5fcd197c-938c-4959-a1c3-2c599593d871",
  "tokenexpiry": "2026-03-23T01:46:59.8501996+00:00",
  "modified_by": 1,
  "modified_on": "2026-03-23T01:46:59.8501996+00:00",
  "created_by": 1,
  "password_reset": true
}

text/html

Sample:
{"$id":"1","user_id":1,"role_id":2,"first_name":"sample string 3","last_name":"sample string 4","email":"sample string 5","password":"sample string 6","created_on":"2026-03-23T01:46:59.8501996+00:00","is_active":true,"is_logical_deleted":true,"login_count":1,"last_login_date":"2026-03-23T01:46:59.8501996+00:00","company_name":"sample string 7","contact_no":"sample string 8","company_type":1,"address":"sample string 9","state":1,"country":1,"postal_code":"sample string 10","otp":"sample string 11","otpexpiry":"2026-03-23T01:46:59.8501996+00:00","token":"5fcd197c-938c-4959-a1c3-2c599593d871","tokenexpiry":"2026-03-23T01:46:59.8501996+00:00","modified_by":1,"modified_on":"2026-03-23T01:46:59.8501996+00:00","created_by":1,"password_reset":true}

application/xml, text/xml

Sample:
<AdminUser xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models">
  <address>sample string 9</address>
  <company_name>sample string 7</company_name>
  <company_type>1</company_type>
  <contact_no>sample string 8</contact_no>
  <country>1</country>
  <created_by>1</created_by>
  <created_on>2026-03-23T01:46:59.8501996+00:00</created_on>
  <email>sample string 5</email>
  <first_name>sample string 3</first_name>
  <is_active>true</is_active>
  <is_logical_deleted>true</is_logical_deleted>
  <last_login_date>2026-03-23T01:46:59.8501996+00:00</last_login_date>
  <last_name>sample string 4</last_name>
  <login_count>1</login_count>
  <modified_by>1</modified_by>
  <modified_on>2026-03-23T01:46:59.8501996+00:00</modified_on>
  <otp>sample string 11</otp>
  <otpexpiry>2026-03-23T01:46:59.8501996+00:00</otpexpiry>
  <password>sample string 6</password>
  <password_reset>true</password_reset>
  <postal_code>sample string 10</postal_code>
  <role_id>2</role_id>
  <state>1</state>
  <token>5fcd197c-938c-4959-a1c3-2c599593d871</token>
  <tokenexpiry>2026-03-23T01:46:59.8501996+00:00</tokenexpiry>
  <user_id>1</user_id>
</AdminUser>

multipart/form-data

Sample:
<AdminUser xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models"><address>sample string 9</address><company_name>sample string 7</company_name><company_type>1</company_type><contact_no>sample string 8</contact_no><country>1</country><created_by>1</created_by><created_on>2026-03-23T01:46:59.8501996+00:00</created_on><email>sample string 5</email><first_name>sample string 3</first_name><is_active>true</is_active><is_logical_deleted>true</is_logical_deleted><last_login_date>2026-03-23T01:46:59.8501996+00:00</last_login_date><last_name>sample string 4</last_name><login_count>1</login_count><modified_by>1</modified_by><modified_on>2026-03-23T01:46:59.8501996+00:00</modified_on><otp>sample string 11</otp><otpexpiry>2026-03-23T01:46:59.8501996+00:00</otpexpiry><password>sample string 6</password><password_reset>true</password_reset><postal_code>sample string 10</postal_code><role_id>2</role_id><state>1</state><token>5fcd197c-938c-4959-a1c3-2c599593d871</token><tokenexpiry>2026-03-23T01:46:59.8501996+00:00</tokenexpiry><user_id>1</user_id></AdminUser>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'AdminUser'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.